Eclipse Platform Release 3.7

## org.eclipse.swt.browser
Class LocationEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.browser.LocationEvent

All Implemented Interfaces:
  Serializable

    public class LocationEvent

extends TypedEvent

A `LocationEvent` is sent by a `Browser` to `LocationListener`'s when the `Browser` navigates to a different URL. This notification typically occurs when the application navigates to a new location with `Browser.setUrl(String)` or when the user activates a hyperlink.

Since:
  3.0
See Also:
  Sample code and further information, Serialized Form

Field Summary
`boolean` `doit` A flag indicating whether the location loading should be allowed.
`String` `location` current location
`boolean` `top` A flag indicating whether the location opens in the top frame or not.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LocationEvent(Widget widget)` Constructs a new instance of this class.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### location

    public String location

  current location

### top

    public boolean top

  A flag indicating whether the location opens in the top frame or not.

### doit

    public boolean doit

  A flag indicating whether the location loading should be allowed. Setting this field to `false` will cancel the operation.

Constructor Detail

### LocationEvent

    public LocationEvent(Widget widget)

  Constructs a new instance of this class.

  Parameters:
    `widget` - the widget that fired the event
  Since:
    3.5

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.